Package org.eclipse.viatra.query.patternlanguage.emf.util

## Class ASTStringProvider

- java.lang.Object
- - org.eclipse.emf.ecore.util.Switch<T>
  - - org.eclipse.viatra.query.patternlanguage.emf.vql.util.PatternLanguageSwitch<java.lang.String>
    - - org.eclipse.viatra.query.patternlanguage.emf.util.ASTStringProvider

-     public class ASTStringProvider
      extends PatternLanguageSwitch<java.lang.String>

  Helper class to provide String representation for pattern language AST elements
  Since:
    2.0

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static ASTStringProvider` | `INSTANCE` |

    - ### Fields inherited from class org.eclipse.viatra.query.patternlanguage.emf.vql.util.PatternLanguageSwitch

      `modelPackage`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `caseAggregatedValue​(AggregatedValue object)` | Returns the result of interpreting the object as an instance of 'Aggregated Value'.
    `java.lang.String` | `caseAnnotation​(Annotation object)` | Returns the result of interpreting the object as an instance of 'Annotation'.
    `java.lang.String` | `caseAnnotationParameter​(AnnotationParameter object)` | Returns the result of interpreting the object as an instance of 'Annotation Parameter'.
    `java.lang.String` | `caseBoolValue​(BoolValue object)` | Returns the result of interpreting the object as an instance of 'Bool Value'.
    `java.lang.String` | `caseCheckConstraint​(CheckConstraint object)` | Returns the result of interpreting the object as an instance of 'Check Constraint'.
    `java.lang.String` | `caseClassType​(ClassType object)` | Returns the result of interpreting the object as an instance of 'Class Type'.
    `java.lang.String` | `caseCompareConstraint​(CompareConstraint object)` | Returns the result of interpreting the object as an instance of 'Compare Constraint'.
    `java.lang.String` | `caseEClassifierConstraint​(EClassifierConstraint object)` | Returns the result of interpreting the object as an instance of 'EClassifier Constraint'.
    `java.lang.String` | `caseEnumValue​(EnumValue object)` | Returns the result of interpreting the object as an instance of 'Enum Value'.
    `java.lang.String` | `caseFunctionEvaluationValue​(FunctionEvaluationValue object)` | Returns the result of interpreting the object as an instance of 'Function Evaluation Value'.
    `java.lang.String` | `caseJavaType​(JavaType object)` | Returns the result of interpreting the object as an instance of 'Java Type'.
    `java.lang.String` | `caseListValue​(ListValue object)` | Returns the result of interpreting the object as an instance of 'List Value'.
    `java.lang.String` | `caseModifiers​(Modifiers object)` | Returns the result of interpreting the object as an instance of 'Modifiers'.
    `java.lang.String` | `caseNumberValue​(NumberValue object)` | Returns the result of interpreting the object as an instance of 'Number Value'.
    `java.lang.String` | `casePackageImport​(PackageImport object)` | Returns the result of interpreting the object as an instance of 'Package Import'.
    `java.lang.String` | `caseParameter​(Parameter object)` | Returns the result of interpreting the object as an instance of 'Parameter'.
    `java.lang.String` | `casePathExpressionConstraint​(PathExpressionConstraint object)` | Returns the result of interpreting the object as an instance of 'Path Expression Constraint'.
    `java.lang.String` | `casePattern​(Pattern object)` | Returns the result of interpreting the object as an instance of 'Pattern'.
    `java.lang.String` | `casePatternCall​(PatternCall object)` | Returns the result of interpreting the object as an instance of 'Pattern Call'.
    `java.lang.String` | `casePatternCompositionConstraint​(PatternCompositionConstraint object)` | Returns the result of interpreting the object as an instance of 'Pattern Composition Constraint'.
    `java.lang.String` | `casePatternImport​(PatternImport object)` | Returns the result of interpreting the object as an instance of 'Pattern Import'.
    `java.lang.String` | `caseReferenceType​(ReferenceType object)` | Returns the result of interpreting the object as an instance of 'Reference Type'.
    `java.lang.String` | `caseStringValue​(StringValue object)` | Returns the result of interpreting the object as an instance of 'String Value'.
    `java.lang.String` | `caseTypeCheckConstraint​(TypeCheckConstraint object)` | Returns the result of interpreting the object as an instance of 'Type Check Constraint'.
    `java.lang.String` | `caseVariable​(Variable object)` | Returns the result of interpreting the object as an instance of 'Variable'.
    `java.lang.String` | `caseVariableReference​(VariableReference object)` | Returns the result of interpreting the object as an instance of 'Variable Reference'.
    `java.lang.String` | `defaultCase​(org.eclipse.emf.ecore.EObject object)` | Returns the result of interpreting the object as an instance of 'EObject'.

    - ### Methods inherited from class org.eclipse.viatra.query.patternlanguage.emf.vql.util.PatternLanguageSwitch

      `caseCallableRelation, caseComputationValue, caseConstraint, caseEntityType, caseExpression, caseJavaConstantValue, caseLiteralValueReference, caseLocalVariable, caseParameterRef, casePatternBody, casePatternModel, caseRelationType, caseType, caseUnaryTypeConstraint, caseValueReference, caseVQLImportSection, caseXImportSection, doSwitch, isSwitchFor`

    - ### Methods inherited from class org.eclipse.emf.ecore.util.Switch

      `doSwitch, doSwitch`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final ASTStringProvider INSTANCE

  - ### Method Detail

    - #### defaultCase

          public java.lang.String defaultCase​(org.eclipse.emf.ecore.EObject object)

      Description copied from class: `PatternLanguageSwitch`
      Returns the result of interpreting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.
      Overrides:
        `defaultCase` in class `PatternLanguageSwitch<java.lang.String>`
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'EObject'.
      See Also:
        `Switch.doSwitch(org.eclipse.emf.ecore.EObject)`

    - #### casePackageImport

          public java.lang.String casePackageImport​(PackageImport object)

      Description copied from class: `PatternLanguageSwitch`
      Returns the result of interpreting the object as an instance of 'Package Import'. This implementation returns null; returning a non-null result will terminate the switch.
      Overrides:
        `casePackageImport` in class `PatternLanguageSwitch<java.lang.String>`
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Package Import'.
      See Also:
        `doSwitch(EObject)`

    - #### casePatternImport

          public java.lang.String casePatternImport​(PatternImport object)

      Description copied from class: `PatternLanguageSwitch`
      Returns the result of interpreting the object as an instance of 'Pattern Import'. This implementation returns null; returning a non-null result will terminate the switch.
      Overrides:
        `casePatternImport` in class `PatternLanguageSwitch<java.lang.String>`
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Pattern Import'.
      See Also:
        `doSwitch(EObject)`

    - #### caseEClassifierConstraint

          public java.lang.String caseEClassifierConstraint​(EClassifierConstraint object)

      Description copied from class: `PatternLanguageSwitch`
      Returns the result of interpreting the object as an instance of 'EClassifier Constraint'. This implementation returns null; returning a non-null result will terminate the switch.
      Overrides:
        `caseEClassifierConstraint` in class `PatternLanguageSwitch<java.lang.String>`
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'EClassifier Constraint'.
      See Also:
        `doSwitch(EObject)`

    - #### caseEnumValue

          public java.lang.String caseEnumValue​(EnumValue object)

      Description copied from class: `PatternLanguageSwitch`
      Returns the result of interpreting the object as an instance of 'Enum Value'. This implementation returns null; returning a non-null result will terminate the switch.
      Overrides:
        `caseEnumValue` in class `PatternLanguageSwitch<java.lang.String>`
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Enum Value'.
      See Also:
        `doSwitch(EObject)`

    - #### caseClassType

          public java.lang.String caseClassType​(ClassType object)

      Description copied from class: `PatternLanguageSwitch`
      Returns the result of interpreting the object as an instance of 'Class Type'. This implementation returns null; returning a non-null result will terminate the switch.
      Overrides:
        `caseClassType` in class `PatternLanguageSwitch<java.lang.String>`
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Class Type'.
      See Also:
        `doSwitch(EObject)`

    - #### caseReferenceType

          public java.lang.String caseReferenceType​(ReferenceType object)

      Description copied from class: `PatternLanguageSwitch`
      Returns the result of interpreting the object as an instance of 'Reference Type'. This implementation returns null; returning a non-null result will terminate the switch.
      Overrides:
        `caseReferenceType` in class `PatternLanguageSwitch<java.lang.String>`
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Reference Type'.
      See Also:
        `doSwitch(EObject)`

    - #### casePattern

          public java.lang.String casePattern​(Pattern object)

      Description copied from class: `PatternLanguageSwitch`
      Returns the result of interpreting the object as an instance of 'Pattern'. This implementation returns null; returning a non-null result will terminate the switch.
      Overrides:
        `casePattern` in class `PatternLanguageSwitch<java.lang.String>`
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Pattern'.
      See Also:
        `doSwitch(EObject)`

    - #### caseAnnotation

          public java.lang.String caseAnnotation​(Annotation object)

      Description copied from class: `PatternLanguageSwitch`
      Returns the result of interpreting the object as an instance of 'Annotation'. This implementation returns null; returning a non-null result will terminate the switch.
      Overrides:
        `caseAnnotation` in class `PatternLanguageSwitch<java.lang.String>`
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Annotation'.
      See Also:
        `doSwitch(EObject)`

    - #### caseAnnotationParameter

          public java.lang.String caseAnnotationParameter​(AnnotationParameter object)

      Description copied from class: `PatternLanguageSwitch`
      Returns the result of interpreting the object as an instance of 'Annotation Parameter'. This implementation returns null; returning a non-null result will terminate the switch.
      Overrides:
        `caseAnnotationParameter` in class `PatternLanguageSwitch<java.lang.String>`
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Annotation Parameter'.
      See Also:
        `doSwitch(EObject)`

    - #### caseModifiers

          public java.lang.String caseModifiers​(Modifiers object)

      Description copied from class: `PatternLanguageSwitch`
      Returns the result of interpreting the object as an instance of 'Modifiers'. This implementation returns null; returning a non-null result will terminate the switch.
      Overrides:
        `caseModifiers` in class `PatternLanguageSwitch<java.lang.String>`
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Modifiers'.
      See Also:
        `doSwitch(EObject)`

    - #### caseVariable

          public java.lang.String caseVariable​(Variable object)

      Description copied from class: `PatternLanguageSwitch`
      Returns the result of interpreting the object as an instance of 'Variable'. This implementation returns null; returning a non-null result will terminate the switch.
      Overrides:
        `caseVariable` in class `PatternLanguageSwitch<java.lang.String>`
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Variable'.
      See Also:
        `doSwitch(EObject)`

    - #### caseVariableReference

          public java.lang.String caseVariableReference​(VariableReference object)

      Description copied from class: `PatternLanguageSwitch`
      Returns the result of interpreting the object as an instance of 'Variable Reference'. This implementation returns null; returning a non-null result will terminate the switch.
      Overrides:
        `caseVariableReference` in class `PatternLanguageSwitch<java.lang.String>`
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Variable Reference'.
      See Also:
        `doSwitch(EObject)`

    - #### casePatternCall

          public java.lang.String casePatternCall​(PatternCall object)

      Description copied from class: `PatternLanguageSwitch`
      Returns the result of interpreting the object as an instance of 'Pattern Call'. This implementation returns null; returning a non-null result will terminate the switch.
      Overrides:
        `casePatternCall` in class `PatternLanguageSwitch<java.lang.String>`
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Pattern Call'.
      See Also:
        `doSwitch(EObject)`

    - #### caseParameter

          public java.lang.String caseParameter​(Parameter object)

      Description copied from class: `PatternLanguageSwitch`
      Returns the result of interpreting the object as an instance of 'Parameter'. This implementation returns null; returning a non-null result will terminate the switch.
      Overrides:
        `caseParameter` in class `PatternLanguageSwitch<java.lang.String>`
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Parameter'.
      See Also:
        `doSwitch(EObject)`

    - #### caseJavaType

          public java.lang.String caseJavaType​(JavaType object)

      Description copied from class: `PatternLanguageSwitch`
      Returns the result of interpreting the object as an instance of 'Java Type'. This implementation returns null; returning a non-null result will terminate the switch.
      Overrides:
        `caseJavaType` in class `PatternLanguageSwitch<java.lang.String>`
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Java Type'.
      See Also:
        `doSwitch(EObject)`

    - #### caseTypeCheckConstraint

          public java.lang.String caseTypeCheckConstraint​(TypeCheckConstraint object)

      Description copied from class: `PatternLanguageSwitch`
      Returns the result of interpreting the object as an instance of 'Type Check Constraint'. This implementation returns null; returning a non-null result will terminate the switch.
      Overrides:
        `caseTypeCheckConstraint` in class `PatternLanguageSwitch<java.lang.String>`
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Type Check Constraint'.
      See Also:
        `doSwitch(EObject)`

    - #### casePatternCompositionConstraint

          public java.lang.String casePatternCompositionConstraint​(PatternCompositionConstraint object)

      Description copied from class: `PatternLanguageSwitch`
      Returns the result of interpreting the object as an instance of 'Pattern Composition Constraint'. This implementation returns null; returning a non-null result will terminate the switch.
      Overrides:
        `casePatternCompositionConstraint` in class `PatternLanguageSwitch<java.lang.String>`
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Pattern Composition Constraint'.
      See Also:
        `doSwitch(EObject)`

    - #### caseCompareConstraint

          public java.lang.String caseCompareConstraint​(CompareConstraint object)

      Description copied from class: `PatternLanguageSwitch`
      Returns the result of interpreting the object as an instance of 'Compare Constraint'. This implementation returns null; returning a non-null result will terminate the switch.
      Overrides:
        `caseCompareConstraint` in class `PatternLanguageSwitch<java.lang.String>`
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Compare Constraint'.
      See Also:
        `doSwitch(EObject)`

    - #### caseCheckConstraint

          public java.lang.String caseCheckConstraint​(CheckConstraint object)

      Description copied from class: `PatternLanguageSwitch`
      Returns the result of interpreting the object as an instance of 'Check Constraint'. This implementation returns null; returning a non-null result will terminate the switch.
      Overrides:
        `caseCheckConstraint` in class `PatternLanguageSwitch<java.lang.String>`
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Check Constraint'.
      See Also:
        `doSwitch(EObject)`

    - #### casePathExpressionConstraint

          public java.lang.String casePathExpressionConstraint​(PathExpressionConstraint object)

      Description copied from class: `PatternLanguageSwitch`
      Returns the result of interpreting the object as an instance of 'Path Expression Constraint'. This implementation returns null; returning a non-null result will terminate the switch.
      Overrides:
        `casePathExpressionConstraint` in class `PatternLanguageSwitch<java.lang.String>`
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Path Expression Constraint'.
      See Also:
        `doSwitch(EObject)`

    - #### caseStringValue

          public java.lang.String caseStringValue​(StringValue object)

      Description copied from class: `PatternLanguageSwitch`
      Returns the result of interpreting the object as an instance of 'String Value'. This implementation returns null; returning a non-null result will terminate the switch.
      Overrides:
        `caseStringValue` in class `PatternLanguageSwitch<java.lang.String>`
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'String Value'.
      See Also:
        `doSwitch(EObject)`

    - #### caseNumberValue

          public java.lang.String caseNumberValue​(NumberValue object)

      Description copied from class: `PatternLanguageSwitch`
      Returns the result of interpreting the object as an instance of 'Number Value'. This implementation returns null; returning a non-null result will terminate the switch.
      Overrides:
        `caseNumberValue` in class `PatternLanguageSwitch<java.lang.String>`
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Number Value'.
      See Also:
        `doSwitch(EObject)`

    - #### caseBoolValue

          public java.lang.String caseBoolValue​(BoolValue object)

      Description copied from class: `PatternLanguageSwitch`
      Returns the result of interpreting the object as an instance of 'Bool Value'. This implementation returns null; returning a non-null result will terminate the switch.
      Overrides:
        `caseBoolValue` in class `PatternLanguageSwitch<java.lang.String>`
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Bool Value'.
      See Also:
        `doSwitch(EObject)`

    - #### caseListValue

          public java.lang.String caseListValue​(ListValue object)

      Description copied from class: `PatternLanguageSwitch`
      Returns the result of interpreting the object as an instance of 'List Value'. This implementation returns null; returning a non-null result will terminate the switch.
      Overrides:
        `caseListValue` in class `PatternLanguageSwitch<java.lang.String>`
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'List Value'.
      See Also:
        `doSwitch(EObject)`

    - #### caseFunctionEvaluationValue

          public java.lang.String caseFunctionEvaluationValue​(FunctionEvaluationValue object)

      Description copied from class: `PatternLanguageSwitch`
      Returns the result of interpreting the object as an instance of 'Function Evaluation Value'. This implementation returns null; returning a non-null result will terminate the switch.
      Overrides:
        `caseFunctionEvaluationValue` in class `PatternLanguageSwitch<java.lang.String>`
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Function Evaluation Value'.
      See Also:
        `doSwitch(EObject)`

    - #### caseAggregatedValue

          public java.lang.String caseAggregatedValue​(AggregatedValue object)

      Description copied from class: `PatternLanguageSwitch`
      Returns the result of interpreting the object as an instance of 'Aggregated Value'. This implementation returns null; returning a non-null result will terminate the switch.
      Overrides:
        `caseAggregatedValue` in class `PatternLanguageSwitch<java.lang.String>`
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Aggregated Value'.
      See Also:
        `doSwitch(EObject)`